// package_mine/records/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        current: "/feedback/my",
        params: {},
        statusList: [
            {title: '未处理', color: '#EBAC14'},
            {title: '未处理', color: '#EBAC14'},
            {title: '已处理', color: '#006DF7'},
            {title: '已处理', color: '#006DF7'}
        ]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let params = this.data.params
        params.openid = wx.getStorageSync('openid')
        this.setData({params})
    },

    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail)
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },

    /* 跳转至详情页 */
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
          url: '/package_mine/pages/feedbackDetail/index?data='+ JSON.stringify(data),
        })
    }


    
})